﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="FTP2Web._Default"
    MaintainScrollPositionOnPostback="true" StylesheetTheme="Default" EnableEventValidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>User Control Panel</title>
    <link rel="stylesheet" type="text/css" href="Styles.css" />
</head>
<body>
    <form id="formMain" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server" OnAsyncPostBackError="scriptManager_AsyncPostBackError">
    </asp:ScriptManager>

    <script type="text/javascript" src="Scripts/Common.js"></script>

    <table style="width: 100%;">
        <tr>
            <td width="30%">
                <asp:Image ID="imgWelcome" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                    ImageUrl="~/Images/user.gif" />
                <asp:Label ID="lblWelcome" runat="server" Text="Welcome, " EnableViewState="False"></asp:Label>
            </td>
            <td align="center" width="40%">
                <asp:Image ID="imgAdminPanel" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                    ImageUrl="~/Images/userpanel.gif" />
                &nbsp;<asp:Label ID="lblPanelCaption" runat="server" Text="User control panel" EnableViewState="False"
                    Font-Bold="True" Font-Size="10pt"></asp:Label>
                <br />
                <asp:LinkButton ID="lbSwitchPanel" runat="server" Font-Bold="False" Font-Size="10px"
                    OnClick="lbSwitchPanel_Click">Switch to admin panel</asp:LinkButton>
            </td>
            <td align="right" width="30%">
                <asp:Image ID="imgLogout" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/exit.gif" />
                <asp:LinkButton ID="lbLogout" runat="server" Font-Bold="True" OnClick="lbLogout_Click"
                    Height="16px">Logout</asp:LinkButton>
            </td>
        </tr>
    </table>
    <hr />
    <asp:Panel ID="pnError" runat="server" BackColor="#FFEDE9" BorderColor="#FFC3B5"
        BorderStyle="Solid" BorderWidth="2px" EnableViewState="False" CssClass="panelError">
        <asp:label id="lblError" runat="server" text="Error" font-bold="True" 
            forecolor="Maroon">
        </asp:label>
    </asp:Panel>
    <table width="99%" cellpadding="0px" cellspacing="0px">
        <tr>
            <td align="right">
                <img align="absmiddle" src="Images/help.gif" />
                <a href="Help/userguide.htm" target="_blank"><b>Help</b></a>
            </td>
        </tr>
    </table>
    <asp:UpdatePanel ID="upFolders" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:ObjectDataSource ID="odsFolders" runat="server" DataObjectTypeName="FTP2Web.FtpFolder"
                DeleteMethod="DeleteFolder" InsertMethod="AddFolder" SelectMethod="GetFolders"
                TypeName="FTP2Web.FolderManager" UpdateMethod="UpdateFolder" OnObjectCreating="odsFolders_ObjectCreating"
                OnSelecting="odsFolders_Selecting"></asp:ObjectDataSource>
            <asp:Panel ID="pnFolders" runat="server" GroupingText="Folders" Width="500px">
                <asp:GridView ID="gvFolders" runat="server" AutoGenerateColumns="False" DataSourceID="odsFolders"
                    EmptyDataText="You have no available folders" DataKeyNames="Id" OnRowCommand="gvFolders_RowCommand"
                    OnSelectedIndexChanged="gvFolders_SelectedIndexChanged" OnRowCreated="gvFolders_RowCreated"
                    OnRowDataBound="gvFolders_RowDataBound">
                    <Columns>
                        <asp:CommandField ButtonType="Link" DeleteText="<img src='Images/delete.gif' border='0' />"
                            ShowDeleteButton="True">
                            <HeaderStyle Width="16px" />
                        </asp:CommandField>
                        <asp:CommandField ButtonType="Image" SelectImageUrl="~/Images/folderedit.gif" SelectText="Edit this folder"
                            ShowSelectButton="True">
                            <HeaderStyle Width="20px" />
                        </asp:CommandField>
                        <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name">
                            <HeaderStyle HorizontalAlign="Left" Width="70px" Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description">
                            <HeaderStyle HorizontalAlign="Left" Wrap="False" Width="120px" />
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>
                        <asp:BoundField DataField="OwnerName" HeaderText="Owner" SortExpression="OwnerName">
                            <HeaderStyle HorizontalAlign="Left" Width="80px" Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Permissions" HeaderText="Permissions" SortExpression="Permissions">
                            <HeaderStyle HorizontalAlign="Left" Width="90px" Wrap="False" />
                            <ItemStyle Wrap="False" />
                        </asp:BoundField>
                        <asp:TemplateField HeaderText="Browse">
                            <ItemTemplate>
                                <asp:ImageButton ID="ibtnBrowseFolder" runat="server" CommandArgument='<%# Eval("Id") %>'
                                    CommandName="BrowseFolder" ImageUrl="~/Images/folderbrowse.gif" ToolTip="Browse folder contents" />
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Open">
                            <ItemTemplate>
                                <asp:ImageButton ID="ibtnOpenFolder" runat="server" CommandArgument='<%# Eval("Id") %>'
                                    CommandName="OpenFolder" ImageUrl="~/Images/folderopen.gif" CausesValidation="False"
                                    ToolTip="Open folder" Visible="False" />
                                <asp:HyperLink ID="hlOpenFolder" runat="server" 
                                    ImageUrl="~/Images/folderopen.gif" Target="_blank"></asp:HyperLink>
                            </ItemTemplate>
                            <ItemStyle HorizontalAlign="Center" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </asp:Panel>
            <br />
            <asp:Panel ID="pnToggleAddFolder" runat="server" Width="433px">
                <table width="100%">
                    <tr>
                        <td>
                            <asp:Image ID="imgNewFolder" runat="server" BorderStyle="None" ImageAlign="AbsMiddle"
                                ImageUrl="~/Images/folderadd.gif" />
                            <asp:LinkButton ID="lbNewFolder" runat="server" Font-Bold="True" OnClick="lbNewFolder_Click">New folder</asp:LinkButton>
                        </td>
                        <td align="right">
                            <asp:UpdateProgress ID="uprgFolders" runat="server" DisplayAfter="100" AssociatedUpdatePanelID="upFolders">
                                <ProgressTemplate>
                                    <asp:Image ID="imgProgressFolders" runat="server" ImageUrl="~/Images/ajaxload.gif" />
                                </ProgressTemplate>
                            </asp:UpdateProgress>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
            <br />
            <asp:Panel ID="pnAddFolder" runat="server" GroupingText="Folder properties" Width="440px"
                Visible="False">
                <table style="width: 98%;">
                    <tr>
                        <td style="width: 85px;">
                            Name:
                        </td>
                        <td>
                            <asp:TextBox ID="txtNewFolderName" runat="server" Width="300px" ValidationGroup="NewFolder"
                                EnableViewState="False"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="rfvNewFolderName" runat="server" ControlToValidate="txtNewFolderName"
                                ErrorMessage="Name cannot be empty." ValidationGroup="NewFolder">*</asp:RequiredFieldValidator>
                            <asp:RegularExpressionValidator ID="revNewFolderName" runat="server" ControlToValidate="txtNewFolderName"
                                ErrorMessage="Invalid folder name." ValidationExpression="[\w]*" ValidationGroup="NewFolder"
                                Display="None">*</asp:RegularExpressionValidator>
                            <asp:CustomValidator ID="cvNewFolderName" runat="server" ControlToValidate="txtNewFolderName"
                                Display="None" ErrorMessage="This name already exists in the database. " ValidationGroup="NewFolder"
                                OnServerValidate="cvNewFolderName_ServerValidate" Enabled="False">*</asp:CustomValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 85px;">
                            Description:
                        </td>
                        <td>
                            <asp:TextBox ID="txtNewFolderDescription" runat="server" Width="300px" ValidationGroup="NewFolder"
                                EnableViewState="False"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 85px;">
                            Owner:
                        </td>
                        <td>
                            <asp:DropDownList ID="ddlAvailableOwners" runat="server" Width="305px">
                            </asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 85px;">
                            Permissions:</td>
                        <td>
                            <asp:CheckBox ID="cbAllowRead" runat="server" EnableViewState="False" 
                                Text="Read" Checked="True" />
                            <asp:CheckBox ID="cbAllowWrite" runat="server" EnableViewState="False" 
                                Text="Write" />
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 85px;">
                            &nbsp;
                        </td>
                        <td>
                            <asp:CheckBox ID="cbConcealFtpName" runat="server" 
                                Text="Conceal FTP directory name" />
                        </td>
                    </tr>
                    <tr>
                        <td height="30" style="width: 85px;">
                            &nbsp;
                        </td>
                        <td>
                            <asp:Button ID="btnAddUpdateFolder" runat="server" CommandName="Add" 
                                OnClick="btnAddUpdateFolder_Click" Text="Add" ValidationGroup="NewFolder" 
                                Width="60px" />
                            <asp:Button ID="btnEditFolderCancel" runat="server" 
                                OnClick="btnEditFolderCancel_Click" Text="Close" />
                        </td>
                    </tr>
                </table>
                <asp:ValidationSummary ID="vsNewFolder" runat="server" ValidationGroup="NewFolder" />
            </asp:Panel>
            <asp:Panel ID="pnFileBrowser" runat="server" Visible="False">
                <table style="border-style: solid; border-width: thin;">
                    <tr>
                        <td>
                            <asp:Panel ID="pnTree" runat="server" Height="400px" ScrollBars="Auto" Width="250px"
                                CssClass="panelFixed" BorderColor="Silver" BorderStyle="Solid" 
                                BorderWidth="1px">
                                <asp:TreeView ID="tvFileList" runat="server" AutoGenerateDataBindings="False" EnableClientScript="False"
                                    OnSelectedNodeChanged="tvFileList_SelectedNodeChanged" OnTreeNodePopulate="tvFileList_TreeNodePopulate"
                                    PopulateNodesFromClient="False" ExpandDepth="0">
                                    <SelectedNodeStyle Font-Bold="True" />
                                    <NodeStyle ImageUrl="~/Images/folder.gif" HorizontalPadding="5px" />
                                </asp:TreeView>
                            </asp:Panel>
                        </td>
                        <td>
                            <asp:Panel ID="pnList" runat="server" Height="400px" ScrollBars="Auto" HorizontalAlign="Left"
                                CssClass="panelFixed" BorderColor="Silver" BorderStyle="Solid" 
                                BorderWidth="1px">
                                <asp:GridView ID="gvFileList" runat="server" AutoGenerateColumns="False" 
                                    OnRowDataBound="gvFileList_RowDataBound" 
                                    onselectedindexchanging="gvFileList_SelectedIndexChanging">
                                    <Columns>
                                        <asp:TemplateField>
                                            <ItemTemplate>
                                                <asp:CheckBox ID="cbSelect" runat="server" />
                                                <asp:HiddenField ID="hfFullPath" runat="server" />
                                            </ItemTemplate>
                                            <HeaderStyle Width="16px" />
                                        </asp:TemplateField>
                                        <asp:TemplateField>
                                            <ItemTemplate>
                                                <asp:Image ID="imgLock" runat="server" Visible="False" />
                                            </ItemTemplate>
                                            <HeaderStyle Width="20px" />
                                            <ItemStyle Width="20px" />
                                        </asp:TemplateField>
                                        <asp:TemplateField>
                                            <ItemTemplate>
                                                <asp:Image ID="imgIcon" runat="server" BorderStyle="None" ImageUrl="~/Images/noicon.gif" />
                                            </ItemTemplate>
                                            <HeaderStyle Width="16px" />
                                        </asp:TemplateField>
                                        <asp:BoundField DataField="Name" HeaderText="Name">
                                            <HeaderStyle HorizontalAlign="Left" Wrap="False" Width="200px" />
                                            <ItemStyle Wrap="False" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="SizeString" HeaderText="Size">
                                            <HeaderStyle HorizontalAlign="Right" Width="60px" Wrap="False" />
                                            <ItemStyle Wrap="False" HorizontalAlign="Right" />
                                        </asp:BoundField>
                                        <asp:BoundField DataField="Date" HeaderText="Date">
                                            <HeaderStyle HorizontalAlign="Left" Width="150px" Wrap="False" />
                                            <ItemStyle Wrap="False" />
                                        </asp:BoundField>
                                    </Columns>
                                </asp:GridView>
                                <br />
                            </asp:Panel>
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td align="right">
                            <table cellpadding="3">
                                <tr>
                                    <td width="100%" align="left">
                                        <table cellpadding="3">
                                            <tr>
                                                <td nowrap="nowrap">
                                                    <asp:ImageButton ID="ibtnLock" runat="server" AlternateText="Lock selected files"
                                                        Height="16px" ImageAlign="AbsMiddle" ImageUrl="~/Images/lock.gif" OnClick="ibtnLock_Click"
                                                        ToolTip="Lock selected files" />
                                                    <asp:LinkButton ID="lbLock" runat="server" Font-Bold="True" OnClick="lbLock_Click">Lock</asp:LinkButton>
                                                </td>
                                                <td nowrap="nowrap">
                                                    <asp:ImageButton ID="ibtnUnlock" runat="server" AlternateText="Unlock selected files"
                                                        Height="16px" ImageAlign="AbsMiddle" ImageUrl="~/Images/unlock.gif" OnClick="ibtnUnlock_Click"
                                                        ToolTip="Unlock selected files" Width="16px" />
                                                    <asp:LinkButton ID="lbUnlock" runat="server" Font-Bold="True" OnClick="lbUnlock_Click">Unlock</asp:LinkButton>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:ImageButton ID="ibtnRefreshFileBrowser" runat="server" AlternateText="Refresh"
                                            ImageAlign="AbsMiddle" ImageUrl="~/Images/refresh.gif" OnClick="ibtnRefreshFileBrowser_Click"
                                            ToolTip="Refresh" />
                                        <asp:LinkButton ID="lbRefresh" runat="server" Font-Bold="True" OnClick="lbRefresh_Click">Refresh</asp:LinkButton>
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:ImageButton ID="ibtnCloseFileBrowser" runat="server" AlternateText="Close file browser"
                                            ImageAlign="AbsMiddle" ImageUrl="~/Images/close.gif" OnClick="ibtnCloseFileBrowser_Click"
                                            ToolTip="Close file browser" />
                                        <asp:LinkButton ID="lbClose" runat="server" Font-Bold="True" OnClick="lbClose_Click">Close</asp:LinkButton>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <br />
    <hr />
    <span style="font-size: 10px; font-weight: bold; color: #345092;">Powered by <a target="_blank"
        href="http://www.element-it.com/FTP2Web.aspx">FTP2Web</a> solution from <a target="_blank"
            href="http://www.element-it.com">Element-IT Software</a></span>
    </form>
</body>
</html>
