﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="FTP2Web.Login"
    StylesheetTheme="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Login page</title>
    <link rel="stylesheet" type="text/css" href="Styles.css" />
</head>
<body>
    <form id="formLogin" runat="server">
    <asp:ScriptManager ID="scriptManager" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="upLogin" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div align="center">
                <asp:Image ID="imgWelcome" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/login.gif" />
                <asp:Label ID="lblLoginPrompt" runat="server" Font-Size="11pt" Text="Please log into the system"
                    Font-Bold="True"></asp:Label>
                <br />
                <br />
                <asp:Panel ID="pnLogin" runat="server" Width="350px" BorderColor="Silver" BorderStyle="Solid"
                    BorderWidth="1px" BackColor="#EBF2FE" CssClass="panelFixed">
                    <br />
                    <table border="0" cellpadding="3" cellspacing="3" style="width: 308px; margin-left: 0px">
                        <tr>
                            <td align="left">
                                User Name:
                            </td>
                            <td>
                                <asp:TextBox ID="txtUserName" runat="server" Width="200px" />
                                <asp:RequiredFieldValidator ID="rfvUserName" runat="server" ErrorMessage="User name cannot be empty."
                                    ControlToValidate="txtUserName" ValidationGroup="Login">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revUserName" runat="server" ControlToValidate="txtUserName"
                                    Display="Dynamic" ErrorMessage="Invalid user name." ValidationExpression="\w+"
                                    ValidationGroup="Login" Visible="False">*</asp:RegularExpressionValidator>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Password:
                            </td>
                            <td>
                                <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" Width="200px" />
                                <asp:RequiredFieldValidator ID="rfvPassword" runat="server" ErrorMessage="Password cannot be empty."
                                    ControlToValidate="txtPassword" ValidationGroup="Login">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revPassword" runat="server" ControlToValidate="txtPassword"
                                    Display="Dynamic" ErrorMessage="Invalid password." ValidationExpression="[\w| !&quot;В§$%&amp;/()=\-?\*]+"
                                    ValidationGroup="Login" Visible="False">*</asp:RegularExpressionValidator>
                            </td>
                        </tr>
                    </table>
                    <asp:CheckBox ID="cbPersist" runat="server" Text="Remember me and log on automatically" />
                    <br />
                    <asp:ValidationSummary ID="vsLogin" runat="server" ValidationGroup="Login" />
                    <br />
                    <asp:Button ID="btnLogin" runat="server" Text="Login" OnClick="btnLogin_Click" ValidationGroup="Login" />
                    <br />
                    <asp:Label ID="lblStatus" runat="server" EnableViewState="False" ForeColor="Red"
                        Visible="False" />
                    <br />
                </asp:Panel>
            </div>
            <br />
            <asp:Panel ID="pnRegisterCommand" runat="server" HorizontalAlign="Center" CssClass="panelFixed">
                <asp:Image ID="imgRegister" runat="server" ImageAlign="AbsMiddle" ImageUrl="~/Images/useradd.gif" />
                <%--<a id="toggleRegister" href="#" onclick="toggleVisibility('divRegister', 'toggleRegister'); return false;"
            style="font-size: 8pt; font-weight: bold;">Register new user</a>--%><asp:LinkButton
                ID="lbRegister" runat="server" Font-Bold="True" OnClick="lbRegister_Click">Register new user</asp:LinkButton>
            </asp:Panel>
            <br />
            <div align="center" id="divRegister" style="display: block">
                <asp:Panel ID="pnRegister" runat="server" Width="400px" BorderColor="Silver" BorderStyle="Solid"
                    BorderWidth="1px" BackColor="#EBF2FE" CssClass="panelFixed" Visible="False">
                    <br />
                    <table border="0" cellpadding="3" cellspacing="3" style="width: 365px; margin-left: 0px">
                        <tr>
                            <td align="left" style="width: 120px">
                                User Name:
                            </td>
                            <td align="left">
                                <asp:TextBox ID="txtNewUserName" runat="server" Width="200px" />
                                <asp:RequiredFieldValidator ID="rfvNewUserName" runat="server" ErrorMessage="User name cannot be empty."
                                    ControlToValidate="txtNewUserName" ValidationGroup="Register">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewUserName" runat="server" ControlToValidate="txtNewUserName"
                                    Display="None" ErrorMessage="Invalid user name. Only digits and letters are allowed."
                                    ValidationExpression="[\w]*" ValidationGroup="Register">*</asp:RegularExpressionValidator>
                                <asp:CustomValidator ID="cvNewUserName" runat="server" ControlToValidate="txtNewUserName"
                                    Display="None" ErrorMessage="This name already exists in the database. " OnServerValidate="cvNewUserName_ServerValidate"
                                    ValidationGroup="Register">*</asp:CustomValidator>
                            </td>
                        </tr>
                        <tr>
                            <td align="left" style="width: 120px">
                                Password:
                            </td>
                            <td align="left">
                                <asp:TextBox ID="txtNewPassword" runat="server" TextMode="Password" Width="200px" />
                                <asp:RequiredFieldValidator ID="rfvNewPassword" runat="server" ErrorMessage="Password cannot be empty."
                                    ControlToValidate="txtNewPassword" ValidationGroup="Register">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="revNewPassword" runat="server" ControlToValidate="txtNewPassword"
                                    Display="None" ErrorMessage="Invalid password. Some special characters are not allowed."
                                    ValidationExpression="[\w| !&quot;В§$%&amp;/()=\-?\*]*" ValidationGroup="Register">*</asp:RegularExpressionValidator>
                            </td>
                        </tr>
                        <tr>
                            <td align="left" style="width: 120px">
                                Confirm Password:
                            </td>
                            <td align="left">
                                <asp:TextBox ID="txtConfirmPassword" runat="server" TextMode="Password" Width="200px" />
                                <asp:RequiredFieldValidator ID="rfvConfirmNewPassword" runat="server" ErrorMessage="Password confirm cannot be empty."
                                    ControlToValidate="txtNewPassword" ValidationGroup="Register">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="cvPasswordsMatch" runat="server" ControlToCompare="txtNewPassword"
                                    ControlToValidate="txtConfirmPassword" Display="None" ErrorMessage="Password does not match the confirm password."
                                    ValidationGroup="Register">*</asp:CompareValidator>
                            </td>
                        </tr>
                        <tr>
                            <td align="left" style="width: 120px">
                                &nbsp;<asp:Label ID="lblGroupsPrompt" runat="server" ForeColor="Black" Text="Select your groups:"></asp:Label>
                            </td>
                            <td align="left">
                                <asp:CheckBoxList ID="cblGroups" runat="server" BorderColor="Silver" BorderStyle="Double"
                                    BorderWidth="1px" Width="205px">
                                </asp:CheckBoxList>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan="2">
                                <asp:Image ID="imgCaptcha" runat="server" BorderStyle="None" ImageUrl="~/Images/ajaxload.gif" />
                                <p style="margin: 10px">
                                    Enter the code shown above:
                                    <asp:TextBox ID="txtCaptchaCode" runat="server" Width="50px" EnableViewState="False"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvCaptchaCode" runat="server" ControlToValidate="txtCaptchaCode"
                                        ErrorMessage="Code cannot be empty." ValidationGroup="Register">*</asp:RequiredFieldValidator>
                                    <asp:CustomValidator ID="cvCaptchaCode" runat="server" ControlToValidate="txtCaptchaCode"
                                        Display="None" ErrorMessage="The code you typed does not match the code in the image."
                                        OnServerValidate="cvCaptchaCode_ServerValidate" ValidationGroup="Register">*</asp:CustomValidator>
                                </p>
                            </td>
                        </tr>
                    </table>
                    <asp:ValidationSummary ID="vsRegister" runat="server" ValidationGroup="Register" />
                    <asp:CheckBox ID="cbNewPersist" runat="server" Text="Remember me and log on automatically" />
                    <br />
                    <br />
                    <asp:Button ID="btnRegister" runat="server" Text="Register &amp; Login" ValidationGroup="Register"
                        OnClick="btnRegister_Click" Width="110px" />&nbsp;
                    <asp:Button ID="btnCancel" runat="server" OnClick="btnCancel_Click" Text="Cancel" />
                    <br />
                    <br />
                </asp:Panel>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
